## hpodder 1.0.3

=== Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004-2006 John Goerzen
#

all: setup			# GHC build
	./setup configure
	./setup build

doc: lib/dfs.html/index.html lib/dfs.pdf lib/dfs.ps lib/dfs.txt

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs hpodder.cabal
	ghc -package Cabal Setup.lhs -o setup

clean: clean-code clean-doc

clean-code:
	-./setup clean
	-cd libsrc && ../setup clean
	-rm -rf dist libsrc/dist *.ho *.hi *.o *.a setup *~
	-rm -f `find . -name "*~"` `find . -name "*.o"`
	-rm -f `find . -name "*.cm*"`

clean-doc:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf doc/.sconsign* .depend test
	-rm -f doc/manpage* doc/*.1

=== doc/SConstruct ===
# Copyright (C) 2004-2006 John Goerzen <jgoerzen@complete.org>
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'hpodder', TOPNODE = 'hpodder', DOINDEX = 1,
        PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['hpodder']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

## hpodder 0.5.8

=== debian/changelog ===
hpodder (0.5.8) unstable; urgency=low

  * Update for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 10:52:56 -0500

hpodder (0.5.7) unstable; urgency=medium

  * Fix bug where id3 tags could occasionally be set on the wrong file.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Sep 2006 10:12:53 -0500

hpodder (0.5.6) unstable; urgency=low

  * Better handling for situations in which there is no title for an item.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Sep 2006 05:42:00 -0500

hpodder (0.5.5) unstable; urgency=low

  * Fix some doc-building bugs.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Aug 2006 07:28:04 -0500

hpodder (0.5.4) unstable; urgency=low

  * Only pass -K to curl when ~/.hpodder/curlrc exists.  Closes: #382865.
  * Now detect of the DB uses a newer schema version than we know how to
    work with and abort.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Aug 2006 07:03:17 -0500

hpodder (0.5.3) unstable; urgency=low

  * New commands: enable and disable
  * New DB columns: pcenabled and lastupdate

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Jul 2006 06:22:25 -0500

hpodder (0.5.2) unstable; urgency=low

  * Fixed some silly brainos in docs.  Closes: #378287.
  * Cleaned up clean targets a bit.
  * New command "settitle"
  * No longer permit blank titles in generated filenames
  * Gracefully handle curl returning success but not actually
    downloading anything.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 17 Jul 2006 06:14:36 -0500

hpodder (0.5.1) unstable; urgency=low

  * More debug message on calls to external programs
  * Update to use new MissingH code
  * Nicer handling of Ctrl-C (or other signals) interrupting children
    will now leave the download at Pending, and terminate hpodder
  * Workaround for sites that have broken resume
    If the file is the same size after curl as before, unlink it and try again
  * File and general sanitization now converts leading hyphens to underscores
  
 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 13:17:55 -0500

hpodder (0.5.0) unstable; urgency=low

  * Initial release. (Closes: #376038)

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 05:28:39 -0500

=== debian/control ===
Source: hpodder
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.5), libghc6-hdbc-dev (>= 0.99.2), libghc6-hdbc-sqlite3-dev (>= 0.99.2), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3)
Standards-Version: 3.7.2

Package: hpodder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${haskell:Depends}, curl, id3v2
Description: Tool to scan and download podcasts (podcatcher)
 Podcasting is a method of publishing radio-like programs on the
 Internet.  Through podcasting, almost anyone can produce their own
 audio program, and publish episodes of it as often or as rarely as
 they like.
 .
 To listen to podcasts, you need a program to download the podcast's
 episodes from the Internet.  Such a program is called a podcatcher
 (or sometimes a podcast aggregator).  hpodder is this program.
 .
 hpodder's features include:
 .
 Convenient, easy to learn, and fast command-line interface.  It's
 simple to do simple things, and advanced things are possible.
 .
 Automatic discovery of feed metadata
 .
 Full history database for accurate prevention of duplicate
 downloads and tracking of new episodes
 .
 Conversion tools to convert your existing feed list and history from
 other applications to hpodder.  Supported applications and formats
 include: castpodder and ipodder.
 .
 Most operations can work fully automatically across your entire
 podcast database, or they can work manually.
 .
 Automatic updating of ID3 (v1 and v2) tags based on metadata in the
 podcast feed.  This important feature is available through iTunes but
 is often missed by other podcatchers.
 .
 hpodder operations can be easily scripted or scheuled using regular
 operating system tools.
 .
 Fully customizable naming scheme for downloaded episodes, including a
 name collision detection and workaround algorithm.
 .
 Automatic support for appending .mp3 extensions to MP3 files that
 lack them.
 .
 Numerous database and history inquiry tools
 .
 Small, minimalist footprint
 .
 Power users and developers can interact directly with the embedded
 Sqlite3 database used by hpodder.  The database has a simple schema
 that is developer-friendly.
 .
 Support for resuming interrupted downloads of podcasts
 .
 hpodder is SAFE and is designed with data integrity in mind from the
 beginning.  It should be exceedingly difficult to lose a podcast
 episode, even in the event of a power failure.

## hpodder 0.99.1

=== debian/changelog ===
hpodder (0.99.1) unstable; urgency=low

  * Updated for MissingH 0.18.0 changes.
  * Recognize x-audio/mp3 as mp3 files for extensions.  Closes: #401772.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  8 Dec 2006 05:04:37 -0600

hpodder (0.99.0) unstable; urgency=low

  * New version.
  * New, better output using the new MissingH features
    Closes: #400536, #389959.
  * Now has a multithreaded downloading process.
  * Fix typo in description.  Closes: #389692.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 06:16:27 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.5), libghc6-hdbc-dev (>= 0.99.2), libghc6-hdbc-sqlite3-dev (>= 0.99.2), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3)
+Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.0), libghc6-hdbc-dev (>= 0.99.2), libghc6-hdbc-sqlite3-dev (>= 0.99.2), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
 Standards-Version: 3.7.2
 
 Package: hpodder
@@ -39,7 +39,7 @@
  podcast feed.  This important feature is available through iTunes but
  is often missed by other podcatchers.
  .
- hpodder operations can be easily scripted or scheuled using regular
+ hpodder operations can be easily scripted or scheduled using regular
  operating system tools.
  .
  Fully customizable naming scheme for downloaded episodes, including a

## hpodder 0.99.5

=== debian/changelog ===
hpodder (0.99.5) unstable; urgency=low

  * Bump build-depends on HDBC.  Closes: #422156.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 19:34:50 -0500

hpodder (0.99.4) unstable; urgency=low

  * Now uses locking to prevent multiple copies of hpodder from running
    simultaneously.  Closes: #419471.
  * Updated for HDBC 1.1.x.
  * Logged messages go to stdout.  Closes: #410630.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 05:58:29 -0500

hpodder (0.99.3) unstable; urgency=low

  * Applied patch from Daniel Burrows to allow post-processing of
    downloads.  Closes: #414501.
  * Updated .cabal for new filepath.  Closes: #420977.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 27 Apr 2007 01:03:32 -0500

hpodder (0.99.2) unstable; urgency=low

  * Modified to not require threaded RTS.  CLoses: #408000.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 12 Mar 2007 06:11:41 -0500

## hpodder 1.0.3

=== debian/changelog ===
hpodder (1.0.3) unstable; urgency=low

  * Fix error with hpodder add.  Closes: #435738.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Aug 2007 21:46:02 -0500

hpodder (1.0.2) unstable; urgency=low

  * Fix removeFile error.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 01 Aug 2007 10:25:44 -0500

hpodder (1.0.1) unstable; urgency=low

  * Correct the location of some info in the manpage.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 28 Jul 2007 23:26:12 -0500

hpodder (1.0.0) unstable; urgency=low

  * Release 1.0.0.
  * Now remove files in the temporary download directory that belong
    to episodes that are no longer marked for download.
  * New automatic episode/podcast expiration/error system implemented
    and documented.
  * Propogate exceptions out of locking properly.  Closes: #428106.
  * Fixed settitle.  Closes: #389956.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 28 Jul 2007 21:18:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.0), libghc6-hdbc-dev (>= 0.99.2), libghc6-hdbc-sqlite3-dev (>= 0.99.2), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
+Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.0), libghc6-hdbc-dev (>= 1.1.0), libghc6-hdbc-sqlite3-dev (>= 1.1.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
 Standards-Version: 3.7.2
 
 Package: hpodder

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cp -r doc debian/tmp-doc
	cd debian/tmp-doc && scons pdf
	cd debian/tmp-doc && scons manpages
	#docbook-to-man debian/hpodder.sgml > hpodder.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean-code
	-rm -rf debian/tmp-doc

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hpodder.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/hpodder
	cp dist/build/hpodder/hpodder debian/hpodder/usr/bin/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/tmp-doc/hpodder.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hpodder 1.1.5.0

=== debian/changelog ===
hpodder (1.1.5.0) unstable; urgency=low

  * Fixed bug where episode title did not appear in id3 output.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Jul 2008 10:28:15 -0500

hpodder (1.1.4.0) unstable; urgency=low

  * Make previous HaXml change tighter.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 08 Apr 2008 04:24:13 -0500

hpodder (1.1.3.0) unstable; urgency=low

  * Added logic to cabal file to require stable HaXml version.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 08 Apr 2008 04:19:39 -0500

hpodder (1.1.2) unstable; urgency=low

  * Fixed GUID logic for situations in which a a given GUID selects
    one episode, and the URL attached to it in the feed selects another.
    This was causing the UPDATE to try to update two episodes to the
    same URL.  Closes: #465038, #404977.  Thanks to Magnus Therning
    for his help tracking this down.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 16 Feb 2008 10:10:39 -0600

hpodder (1.1.1) unstable; urgency=low

  * Make sure we get full SQL dumps for any error

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Feb 2008 02:53:42 -0600

hpodder (1.1.0) unstable; urgency=low

  * New support for configurable renaming of incoming episodes to
    standard extensions.  The previous feature was hard-coded for
    certain data types.  Closes: #454535.

  * New support for using file -i (or a user-configurable program) to
    determine the actual type of a file to deal with servers that
    don't send correct MIME types in their feeds.  Enable this support
    by default.  Closes: #445694.

  * New support for user-configurable post-processing commands that
    do things such as tagging.

  * New support for conditional running of post-processing commands
    based on content type.

  * Documented --debug.  Closes: #430068.

  * New support for GUID tags to reduce occurances of duplicate
    downloads.  Thanks to Jason Creighton for the patch to support
    this.  Closes: #454531.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Feb 2008 03:35:56 -0600

hpodder (1.0.4) unstable; urgency=low

  * Update for GHC 6.8.x and new MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 12:19:40 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.0), libghc6-hdbc-dev (>= 1.1.0), libghc6-hdbc-sqlite3-dev (>= 1.1.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
+Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-hdbc-dev (>= 1.1.0), libghc6-hdbc-sqlite3-dev (>= 1.1.4.0.1), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
 Standards-Version: 3.7.2
 
 Package: hpodder

## hpodder 1.1.5.0+nmu2

=== debian/changelog ===
hpodder (1.1.5.0+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace build-depends on xpdf-utils by poppler-utils, to ensure that
    xpdf-utils is never used (the package is still lurking arround
    sometimes) (Closes: #549391)
  * Bump urgency due to RC bug fix
  * Fix lintian Warning about ignoring errors of make clean
  * Update Homepage in debian/copyright

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 22 Jan 2010 22:39:19 +0100

hpodder (1.1.5.0+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS error "ambiguous type variable" with GHC 6.10. Patch from
    upstream Git, commit 14bb33b. (Closes: #537028)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Nov 2009 22:41:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-hdbc-dev (>= 1.1.0), libghc6-hdbc-sqlite3-dev (>= 1.1.4.0.1), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
+Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-hdbc-dev (>= 1.1.0), libghc6-hdbc-sqlite3-dev (>= 1.1.4.0.1), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
 Standards-Version: 3.7.2
 
 Package: hpodder

## hpodder 1.1.5.0+nmu3

=== debian/changelog ===
hpodder (1.1.5.0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Replace ghc6 with ghc in build-depends, for GHC 7 transition. (Closes:
    #629728)
  * Backport upstream commit 77f4f5eb0365f1722735 for newer HaXml API support
    (Closes: #622675)
  * Backport upstream commit 019828ed899dc3580ddc to improve parsing of the
    output from the gettypecommand

 -- Iain Lane <laney@debian.org>  Sat, 27 Aug 2011 11:32:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-hdbc-dev (>= 1.1.0), libghc6-hdbc-sqlite3-dev (>= 1.1.4.0.1), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev, libghc6-hslogger-dev
+Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc (>= 6.8.2), haskell-devscripts (>= 0.6.6), cpphs, libghc-missingh-dev (>= 1.0.0), libghc-hdbc-dev (>= 1.1.0), libghc-hdbc-sqlite3-dev (>= 2.3.1.0-2~), libghc-network-dev, libghc-unix-dev, libghc-mtl-dev, libghc-haxml-dev (>= 1:1.20), libghc-haxml-dev (<< 1:1.21~), libghc-filepath-dev, libghc-configfile-dev, libghc-hslogger-dev
 Standards-Version: 3.7.2
 
 Package: hpodder

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean-code
+	[ ! -f Makefile ] || $(MAKE) clean-code
 	-rm -rf debian/tmp-doc
 
 	dh_clean
